Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 152422 - [saas][googlemap] cannot drop getGoogleMap into java
[saas][googlemap] cannot drop getGoogleMap into java
Status: VERIFIED FIXED
Product: webservices
Classification: Unclassified
Component: Manager
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Nathan Fiedler
issues@webservices
65fixes1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-05 13:22 UTC by Lukas Jungmann
Modified: 2009-02-19 23:28 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Jungmann 2008-11-05 13:22:59 UTC
6.5, rc2-full, ubuntu, jdk6u10

-create a java app with a main class
-drop webservices -> google -> map service -> getGoogleMap into its main class

=> no code is generated

-create a web app
-drop webservices -> google -> map service -> getGoogleMap into a JSP

=> in the log there's "INFO [org.netbeans.modules.websvc.saas.codegen.j2ee.support.J2eeUtil]: Cannot add login and
callback servletsto web descriptor"
Comment 1 Nathan Fiedler 2008-11-21 22:42:22 UTC
Fixed in changeset main #1a578474068a (technically the unrelated INFO is still there, but that's not really part of this
bug).
Comment 2 Quality Engineering 2008-11-23 17:05:26 UTC
Integrated into 'main-golden', will be available in build *200811231401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/1a578474068a
User: Nathan Fiedler <nlfiedler@netbeans.org>
Log: #152422: enable Google Map web service code gen for Java files.
Comment 3 Lukas Jungmann 2008-11-23 22:59:32 UTC
v.
Comment 4 pslechta 2008-11-25 10:39:39 UTC
The fix was ported into release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/79c1ab8a445a


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo